<?php
  ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
  error_reporting(E_ALL);
  
  require("../../vendor/autoload.php");
  use Helper\MetadataGenerator\MetadataGenerator;
  use Helper\MetadataGenerator\StructuredData\ContactType;
  use Helper\MetadataGenerator\StructuredData\LocalBusiness\BusinessType;
  use Helper\MetadataGenerator\StructuredData\StockManagement;
  use Helper\MetadataGenerator\StructuredData\ItemConditionType;
  use DateTime;

  $meta = new MetadataGenerator();
  $data = [
    "events" => [

      [
        "eventName" => "Concerto Solidário",
        "startDate" => (new DateTime())->format(DATE_ATOM),
        "address" => [
          "city" => "Porto",
          "country" => "Portugal"
        ],
        "placeName" => "Porto",
        "image"=> [
          "http://www.donamariapregaria.pt/resources/img/metadata/metadata-pregaria-home-contactos.png"
        ],
        "description" => "Um concerto muito solidario",
        "endDate" => (new DateTime())->format(DATE_ATOM),      
        "performerType" => "Thing",
        "ratings" => [
            "value" => 10,
            "maxValue"=> 10,
            "minValue"=> 1,
            "totalRatings" => 234
        ]
      ]
    ],
    "type" =>  "product",
    "product" => [
        "name" => "Product 1",
        "image"=> [
          "http://www.donamariapregaria.pt/resources/img/metadata/metadata-pregaria-home-contactos.png"
        ],
        "description" => "Product 1's description",
        "brandName" => "Products and Products",
        "offers" => [
          [
            "price" => "25",
            "currency" => "EUR",
            "availability" => StockManagement::InStock, 
            "endDate" => (new DateTime())->format(DATE_ATOM),
            "condition" =>   ItemConditionType::UsedCondition
          ]
          
        ],
        "sku" => "123456789",
        "ratings" => [
            "value" => 3.5,
            "maxValue"=>5,
            "minValue"=> 1,
            "totalRatings" => 234
        ],
        "reviews" => [
          [
            "url" =>"http://www.donamariapregaria.pt/",
            "authors" => ["Pedro Silva"],
            "publisher"=> "YouOn",
            "pubDate" => (new DateTime())->format(DATE_ATOM),
            "description" => "Some great Event",
            "lang" => "pt",
            "rating" => [
                "value" => 5,
                "maxValue" => 5,
                "minValue" => 1
            ],
          ]
        ]
  
      ]
  ];
  define("DEBUG",true)
?>
<!DOCTYPE html5>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta http-equiv="CONTENT-TYPE" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="cache-control" content="no-cache,max-age=3600, must-revalidate,proxy-revalidate">
    <meta http-equiv="expires" content="0">
    <meta http-equiv="pragma" content="no-cache,max-age=3600, must-revalidate,proxy-revalidate">
    <meta http-equiv="CACHE-CONTROL" content="PUBLIC">

    <?php echo $meta->getStructuredData($data,DEBUG); ?>

</head>
<body>
</body>
</html>