<?php
  ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
  error_reporting(E_ALL);
  
  require("../../vendor/autoload.php");
  use Helper\MetadataGenerator\MetadataGenerator;
  use Helper\MetadataGenerator\StructuredData\ContactType;
  use Helper\MetadataGenerator\StructuredData\LocalBusiness\BusinessType;
  use Helper\MetadataGenerator\StructuredData\StockManagement;
  use DateTime;

  $meta = new MetadataGenerator();
  $data = [
    
    "localbusiness" => [
      "type" => BusinessType::Restaurant,
      "url" => "http://www.donamariapregaria.pt/",
      "image"=> [
        "http://www.donamariapregaria.pt/resources/img/metadata/metadata-pregaria-home-contactos.png"
      ],
      "priceRange" => "10€ - 20€",
      "description" => "De origem tradicional ... A Dona Maria Pregaria nasce em Famalicão com o objetivo de redefinir o conceito do Prego Português e do Hambúrguer Artesanal, com receitas diversificadas e originais que vão desde a mais tradicional à mais elaborada de gosto sofisticado.",
      "name" => "Dona maria Pregaria - Famalicão",
      "phone" => "+351252313623",
      "email" => "",
      "address" => [
        "streetAddress" => "Praça Dona Maria II 410",
        "city" => "Vila Nova de Famalicão",
        "region" => "braga",
        "zipcode" => "4760-111",
        "country" => "Portugal"
      ],
      "geo" => [
        "latitude" => "41.4046119",
        "longitude" => "-8.5185725"
      ],
      "social" => [
        "https://www.facebook.com/Donamariapregaria",
        "https://www.instagram.com/donamariapregaria"
      ],
      "cuisine" => "Hamburgers and Pregos",
      "map" => "https://www.google.com/maps/place/Dona+Maria+Pregaria/@41.4046985,-8.5203193,17z/data=!3m1!4b1!4m5!3m4!1s0xd2458f86a21ffad:0xfb02ac09b4d2c2ba!8m2!3d41.4046985!4d-8.5181306",
      "schedule" => [

        [
          "dayOfWeek" => "Monday",
          "opens" => "12:00",
          "closes"=> "15:00"
        ],
        [
          "dayOfWeek" => "Monday",
          "opens" => "18:00",
          "closes"=> "23:00"
        ],
        [
          "dayOfWeek" => "Tuesday",
          "opens" => "18:00",
          "closes"=> "23:00"
        ],
        [
          "dayOfWeek" => "Wednesday",
          "opens" => "18:00",
          "closes"=> "23:00"
        ],
        [
          "dayOfWeek" => "Thursday",
          "opens" => "18:00",
          "closes"=> "23:00"
        ],
        [
          "dayOfWeek" => "Friday",
          "opens" => "18:00",
          "closes"=> "23:00"
        ]
      ],
      "departments" => [
        [
          "name" => "Dona maria Pregaria - Porto",
          "phone" => "+351223271112",
          "email" => "",
          "address" => [
            "streetAddress" => "R. de Ceuta 63",
            "city" => "Porto",
            "region" => "Porto",
            "zipcode" => "4050-189 Porto",
            "country" => "Portugal"
          ],
          "geo" => [
            "latitude" => "41.1482368",
            "longitude" => "-8.6161672"
          ],
          "map" => "https://www.google.com/maps/place/Dona+Maria+Pregaria/@41.1482368,-8.6161672,17z/data=!4m13!1m7!3m6!1s0xd2464e2dad1dfa7:0xe96d49ce64b5db81!2sR.+de+Ceuta+63,+Porto,+Portugal!3b1!8m2!3d41.1482368!4d-8.6139785!3m4!1s0xd2464e2cff9163d:0xc043a589b1c26be1!8m2!3d41.1483025!4d-8.6140282",
          "ratings" => [
              "value" => 10,
              "maxValue"=> 10,
              "minValue"=> 1,
              "totalRatings" => 234
          ]
        ]
        
      ],
      "ratings" => [
          "value" => 10,
          "maxValue"=> 10,
          "minValue"=> 1,
          "totalRatings" => 234
      ],
      "reviews" => [
        [
          "url" =>"http://www.donamariapregaria.pt/",
          "authors" => ["Pedro Silva"],
          "publisher"=> "YouOn",
          "pubDate" => (new DateTime())->format(DATE_ATOM),
          "description" => "Some great Event",
          "lang" => "pt",
          "rating" => [
              "value" => 5,
              "maxValue" => 5,
              "minValue" => 1
          ],
        ]
      ]
      
    ]
    
  ];
  define("DEBUG",true);

  echo $meta->getStructuredData($data,DEBUG);
?>

    <?php 
          
         
         /*echo $meta->getAllMetadata($data,DEBUG);*/
    ?>
