<?php
  ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
  error_reporting(E_ALL);
  
  require("../../vendor/autoload.php");
  use Helper\MetadataGenerator\MetadataGenerator;
  use Helper\MetadataGenerator\StructuredData\ContactType;
  use Helper\MetadataGenerator\StructuredData\LocalBusiness\BusinessType;
  use Helper\MetadataGenerator\StructuredData\StockManagement;
  use Helper\MetadataGenerator\StructuredData\ItemConditionType;
  use DateTime;

  $meta = new MetadataGenerator();
  $data = [
    "title" => html_entity_decode("SOME EVENT",ENT_QUOTES,"UTF-8"),
    "themeColor" => "#031822",
    "description" => html_entity_decode("SOME EVENT DESCRIPTION",ENT_QUOTES,"UTF-8"),
    "author" => "https://www.facebook.com/Brakii-147230929259639/",
    "imageSrc" => "http://www.brakii.com//resources/general/img/icon-brakii.png",
    "icon" => "http://www.brakii.com/resources/general/img/icon-brakii.png",
    "charset" => "utf-8",
    "type" => "article",
    "twCard" => "summary_large_image",
    "locale" => "pt",
    "siteName" => "Brakii",
    "article" => array (
      "authors" => array (
        "name" => "Brakii",
        "facebook" => "https://www.facebook.com/Brakii-147230929259639/",
        "website" =>  "www.brakii.com/pt",
        "instagram" => "https://www.instagram.com/brakiidotcom/"
      ),
      "publisher" => "Brakii",
      "dossier" => html_entity_decode("RUNNING",ENT_QUOTES,"UTF-8"),
      "pubDate" => (new DateTime())->format(DATE_ATOM),
    ),
    "events" => [
        
        [
        "eventName" => "Concerto Solidário",
        "startDate" => (new DateTime())->format(DATE_ATOM),
        "address" => [
            "city" => "Porto",
            "country" => "Portugal"
        ],
        "placeName" => "Porto",
        "image"=> [
            "http://www.donamariapregaria.pt/resources/img/metadata/metadata-pregaria-home-contactos.png"
        ],
        "description" => "Um concerto muito solidario",
        "endDate" => (new DateTime())->format(DATE_ATOM),      
        "performerType" => "Organization",
        "performer" => "Dona Maria Pregaria"
        ]
    ],
    "website" => array (
      "name" => "Brakii",
      "url" => "www.brakii.com/pt",
      "social" => array (
        "https://www.facebook.com/Brakii-147230929259639/",
        "https://www.instagram.com/brakiidotcom/"
      ),
      "search" => true,
      "searchLink" => "http://www.brakii.com/pt".'/eventos/pesquisa/',
      "searchQueryName" => "q",
    ),
    "reviews"=> [
        [
            "url" =>"http://www.donamariapregaria.pt/",
            "authors" => ["Pedro Silva"],
            "publisher"=> "YouOn",
            "pubDate" => (new DateTime())->format(DATE_ATOM),
            "description" => "Some great Event",
            "lang" => "pt",
            "rating" => [
                "value" => 5,
                "maxValue" => 5,
                "minValue" => 1
            ],
            "itemReviewedType" => "organization",
            "itemReviewed" => [
               
                    //"url" => "http://www.donamariapregaria.pt/",
                    //"logo" => "http://www.donamariapregaria.pt/resources/img/logos/favicon-pregaria.png",
                    "name" => "Dona Maria Pregaria",
                    "address" => [
                        "city" => "Porto",
                        "country" => "Portugal"
                    ],
                    "ratings" => [
                        "value" => 5,
                        "maxValue" => 5,
                        "minValue" => 1,
                        "totalRatings" => 200
                    ],

            ]
        ],
        [
            "url" =>"http://www.donamariapregaria.pt/",
            "authors" => ["Pedro Silva"],
            "publisher"=> "YouOn",
            "pubDate" => (new DateTime())->format(DATE_ATOM),
            "description" => "Some great Event",
            "lang" => "pt",
            "rating" => [
                "value" => 5,
                "maxValue" => 5,
                "minValue" => 1
            ],
            "itemReviewedType" => "organization",
            "itemReviewed" => [
                
                    //"url" => "http://www.donamariapregaria.pt/",
                    //"logo" => "http://www.donamariapregaria.pt/resources/img/logos/favicon-pregaria.png",
                    "name" => "Dona Maria Pregaria",
                    "address" => [
                        "city" => "Porto",
                        "country" => "Portugal"
                    ],
                
            ]
        ]
    ],
    "organization" => [
        //"url" => "http://www.donamariapregaria.pt/",
        //"logo" => "http://www.donamariapregaria.pt/resources/img/logos/favicon-pregaria.png",
        "name" => "Dona Maria Pregaria",
        "address" => [
            "city" => "Porto",
            "country" => "Portugal"
        ],
        "ratings" => [
            "value" => 5,
            "maxValue" => 5,
            "minValue" => 1,
            "totalRatings" => 200
        ],
    ]
  ];
  define("DEBUG",true)
?>
<!DOCTYPE html5>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta http-equiv="CONTENT-TYPE" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="cache-control" content="no-cache,max-age=3600, must-revalidate,proxy-revalidate">
    <meta http-equiv="expires" content="0">
    <meta http-equiv="pragma" content="no-cache,max-age=3600, must-revalidate,proxy-revalidate">
    <meta http-equiv="CACHE-CONTROL" content="PUBLIC">

    <?php echo $meta->getStructuredData($data,DEBUG); ?>

</head>
<body>
</body>
</html>