<?php /*
        <meta property="article:author" content="https://www.facebook.com/excelente.pt/"/>
        <meta property="article:publisher" content="https://www.facebook.com/excelente.pt/" />
        <meta property="article:published_time" content="2013-09-17T05:59:00+01:00" />
        <meta property="article:modified_time" content="2013-09-16T19:08:47+01:00" />
        <meta property="article:section" content="Article Section" />
        <meta property="article:tag" content="Article Tag" />*/


    namespace Helper\MetadataGenerator\Metadata\OpenGraph\Article;
    
    use Helper\MetadataGenerator\Metadata\Utils\Utils;

    class Article {

        public $authors = array();
        public $publisher = "";
        public $pubDate = "";
        public $modTime = "";
        public $dossier = "";
        public $tags = array();


        public $prettyPrint = false;     
        
        public function __construct ($format = false){
            $this->prettyPrint = $format;
        }

        private function printAuthor($author){
            
            if( is_array($author) ){

                $name = $this->array_test($author, "name") ? $author["name"] : "";
                $fb = $this->array_test($author, "facebook") ? Utils::print_metaPC("article:author",$author["facebook"]) : "";
                
                $firstname =  "";
                $lastname = "";
                if($name != ""){
                    $name = explode(" ",htmlentities($name,ENT_QUOTES,"UTF-8"));
                    $firstname =  $name[0];
                    if(count($name) > 1)
                        $lastname = $name[count($name) - 1];
                    //for($i = 1; $i < count($name) ; $i++){
                    //    $lastname .= ($i > 1 ? " " : "").$name[$i];
                    //}
                    
                }
                if($fb == ""){
                    $fb = $this->array_test($author, "website") ? Utils::print_metaPC("article:author",$author["website"]) : 
                                                     ($this->array_test($author, "linkedin") ? Utils::print_metaPC("article:author",$author["linkedin"]) :
                                                     ($this->array_test($author, "instagram") ? Utils::print_metaPC("article:author",$author["instagram"]) :
                                                     ($this->array_test($author, "twitter") ? Utils::print_metaPC("article:author",$author["twitter"]) : ""))); 
                }

                $data = "";
                if($firstname != ""){
                    $data .= Utils::print_metaPC("article:author:first_name",$firstname).($this->prettyPrint ? "\n" : "");
                }
                if($lastname != ""){
                    $data .= Utils::print_metaPC("article:author:last_name",$lastname);
                }
                
                if($fb != ""){
                    return $fb.($this->prettyPrint ? "\n" : "").$data;
                }
                
            }else{
                return Utils::print_metaPC("article:author",$author);
            }

            return "";
        }

        private function printAuthors(){
            if(is_array($this->authors) && count($this->authors) > 0 ){
                $authors = "";
                foreach($this->authors as $author){
                    if($authors != ""){
                        $authors .= ($this->prettyPrint ? "\n" : "");
                    }
                    $authors .= $this->printAuthor($author);
                }
                return $authors;

            }else if($this->authors != ""){
                return Utils::print_metaPC("article:author",$this->author);
            }

            return "";
        }
        private function printPublisher(){
            if($this->publisher != ""){
                return Utils::print_metaPC("article:publisher",$this->publisher);
            }
        }

        private function printPubDate(){
            if($this->pubDate != ""){
                return Utils::print_metaPC("article:published_time",$this->pubDate);
            }
        }

        private function printModDate(){
            if($this->modDate != ""){
                return Utils::print_metaPC("article:modified_time",$this->modDate);
            }
        }

        private function printDossier(){
            if($this->dossier != ""){
                return Utils::print_metaPC("article:section",$this->dossier);
            }
        }

        private function printTags(){
            $tags = "";
            if(count($this->tags) > 0){
                foreach($this->tags as $tag){
                    $tags .= Utils::print_metaPC("article:tag",$tag).($this->prettyPrint ? "\n" : "");
                }
            }
            return $tags;
        }

        public function toString(){
            return $this->printAuthors().($this->prettyPrint ? "\n" : "").
                   $this->printPublisher().($this->prettyPrint ? "\n" : "").
                   $this->printPubDate().($this->prettyPrint ? "\n" : "").
                   $this->printModDate().($this->prettyPrint ? "\n" : "").
                   $this->printDossier().($this->prettyPrint ? "\n" : "").
                   $this->printTags();
        }

        private function array_test($arr,$key){
            return isset($arr[$key]) && $arr[$key] != "";
        }
    }