<?php namespace Helper\MetadataGenerator\StructuredData\Breadcrumbs;

use Helper\MetadataGenerator\StructuredData\JsonLDGenerator;


class BreadcrumbsJsonLD extends JsonLDGenerator{
    public $items = array();
    

    public $formated = 0;

    public function __construct($format = false){
      parent::__construct();
      $this->type = "BreadcrumbList";
      $this->formated = $format ? 128 : 0;
    }


    private function printItem($item,$index){
        $data = array();
        $data["@context"] = $this->context;
        $data["@type"] = "ListItem";
        $data["position"] = $index;
        $data["item"] = array();
        if(isset($item["url"]))
            $data["item"]["@id"] = $item["url"];
        
        if(isset($item["name"]))
            $data["item"]["name"] = $item["name"];
        
        if(isset($item["image"]))
            $data["item"]["image"] = $item["image"];

        return $data;
    }


    public function toString(){
        if( count($this->items) > 0 ){
            $data = array();
            $data["@context"] = $this->context;
            $data["@type"]  = $this->type;
            $data["itemListElement"] = array();
            $index = 1;
            foreach($this->items as $item){
                array_push($data["itemListElement"],$this->printItem($item,$index));
                $index++;
            }

            return json_encode($data,$this->formated);
        }else {
            return "";
        }
    }
}