<?php namespace Helper\MetadataGenerator\StructuredData;



abstract class ItemConditionType {
    const  DamagedCondition = "http://schema.org/DamagedCondition";
    const  NewCondition = "http://schema.org/NewCondition";
    const  RefurbishedCondition = "http://schema.org/RefurbishedCondition";
    const  UsedCondition = "http://schema.org/UsedCondition";


    private static $constCacheArray = NULL;
    
    private static function getConstants() {
        if (self::$constCacheArray == NULL) {
            self::$constCacheArray = array();
        }
        $calledClass = get_called_class();
        if (!array_key_exists($calledClass, self::$constCacheArray)) {
            $reflect = new \ReflectionClass($calledClass);
            self::$constCacheArray[$calledClass] = $reflect->getConstants();
        }
        return self::$constCacheArray[$calledClass];
    }

    public static function isValidName($name, $strict = false) {
        $constants = self::getConstants();

        if ($strict) {
            return array_key_exists($name, $constants);
        }

        $keys = array_map('strtolower', array_keys($constants));
        return in_array(strtolower($name), $keys);
    }

    public static function isValidValue($value, $strict = true) {
        $values = array_values(self::getConstants());
        return in_array($value, $values, $strict);
    }
}