<?php namespace Helper\MetadataGenerator\StructuredData\Rating;

use Helper\MetadataGenerator\StructuredData\JsonLDGenerator;

class AggregateRatingsJsonLD extends JsonLDGenerator{

    public $value = 0;
    public $maxValue = 0;
    public $minValue = 0;
    public $totalRatings = 0;
    public $formated = 0;

    public function __construct($format = false){

        parent::__construct();
        $this->type = "AggregateRating";
        $this->formated = $format ? 128 : 0;
    }

    public function toString(){
        if($this->totalRatings > 0){
            $data = $this->toArray();
            return json_encode($data,$this->formated);
        }
        return "";
    }

    public function toArray(){
        if($this->totalRatings > 0){
            $data = array();
            $data["@context"] = $this->context;
            $data["@type"]  = $this->type;
            $data["ratingValue"] = $this->value;
            $data["bestRating"] = $this->maxValue;
            $data["worstRating"] = $this->minValue;
            $data["ratingCount"] = $this->totalRatings;
    
            return $data;
        }
        return array();
    }
}