<?php namespace Helper\MetadataGenerator\StructuredData\Video;

use Helper\MetadataGenerator\StructuredData\JsonLDGenerator;

class VideoJsonLD extends JsonLDGenerator{

    public $name = "";

    public $description = "";

    public $embedUrl = "";

    public $contentUrl = "";

    public $image = array();

    public $duration = "";

    public $views = "";

    public $uploadDate = "";


    public $formated = 0;
    
    public function __construct($format = false){
        parent::__construct();
        $this->type = "VideoObject";
        $this->formated = $format ? 128 : 0;
    }

    private function printDuration() {
        if($this->duration != ""){
            $str = "PT";
            $time = intval($this->duration);
            $sec = $time;
            if($time > 59){
                $sec = $time % 60;
                $min = floor($time / 60);
                if($min > 59){
                    $hours = floor($min / 60);
                    $min = $min % 60;
    
                    $str .= $hours."H";
                }
                $str .= $min."M";
            }
            
            $str .= $sec."S";
            
        
            return $str;
        }
        return "";
    }

    public function toString(){
        $data = array();
        $data["@context"] = $this->context;
        $data["@type"]  = $this->type;
        $data["name"] = htmlentities($this->name,ENT_QUOTES,"UTF-8");
        if(count($this->image) > 0)
            $data["thumbnailUrl"] = $this->image;

        $data["description"] = htmlentities($this->description,ENT_QUOTES,"UTF-8");

        $duration = $this->printDuration();
        if($duration != "")
            $data["duration"] = $duration;
        
        if($this->embedUrl != ""){
            $data["embedUrl"] = $this->embedUrl;
        }

        if($this->contentUrl != ""){
            $data["contentUrl"] = $this->contentUrl;
        }
        
        if($this->views != ""){
            $data["interactionCount"] = $this->views;
        }

        if($this->uploadDate != ""){
            $data["uploadDate"] = $this->uploadDate;
        }

        return json_encode($data,$this->formated);
    }

}